package com.ruoyi.system.domain.visit.ext;

import com.ruoyi.system.domain.system.SysOtherappAttachment;
import com.ruoyi.system.domain.visit.VisitPlanTask;

import java.io.Serializable;
import java.util.List;

public class VisitPlanTaskExt extends VisitPlanTask implements Serializable {
    private String wgName;//所属地块
    private String tkId;//工单编号
    private String tkStatus;//工单状态
    private String planTitle;//走访计划
    private String planExplain;//走访说明
    private String planTypeName;//走访类型名称
    private String planTime;//走访时间
    private String formId;
    private String formName;//走访表单名称
    private List<SysOtherappAttachment> otherappAttachments;//附件
    private List<SysOtherappAttachment> jhOtherappAttachments;//任务计划附件


    public String getPlanTime() {
        return planTime;
    }

    public void setPlanTime(String planTime) {
        this.planTime = planTime;
    }

    public String getPlanTypeName() {
        return planTypeName;
    }

    public void setPlanTypeName(String planTypeName) {
        this.planTypeName = planTypeName;
    }

    public List<SysOtherappAttachment> getJhOtherappAttachments() {
        return jhOtherappAttachments;
    }

    public void setJhOtherappAttachments(List<SysOtherappAttachment> jhOtherappAttachments) {
        this.jhOtherappAttachments = jhOtherappAttachments;
    }

    public String getPlanExplain() {
        return planExplain;
    }

    public void setPlanExplain(String planExplain) {
        this.planExplain = planExplain;
    }

    public List<SysOtherappAttachment> getOtherappAttachments() {
        return otherappAttachments;
    }

    public void setOtherappAttachments(List<SysOtherappAttachment> otherappAttachments) {
        this.otherappAttachments = otherappAttachments;
    }

    public String getPlanTitle() {
        return planTitle;
    }

    public void setPlanTitle(String planTitle) {
        this.planTitle = planTitle;
    }

    public String getWgName() {
        return wgName;
    }

    public void setWgName(String wgName) {
        this.wgName = wgName;
    }

    public String getTkId() {
        return tkId;
    }

    public void setTkId(String tkId) {
        this.tkId = tkId;
    }

    public String getTkStatus() {
        return tkStatus;
    }

    public void setTkStatus(String tkStatus) {
        this.tkStatus = tkStatus;
    }

    public String getFormName() {
        return formName;
    }

    public void setFormName(String formName) {
        this.formName = formName;
    }

    public String getFormId() {
        return formId;
    }

    public void setFormId(String formId) {
        this.formId = formId;
    }
}
